aboutsummaryrefslogtreecommitdiffstats
path: root/www/zope29
diff options
context:
space:
mode:
authornbm <nbm@FreeBSD.org>2002-02-09 05:25:10 +0800
committernbm <nbm@FreeBSD.org>2002-02-09 05:25:10 +0800
commit5a6d17c5cf8ba3f869ed0bdb232f2eb57c582414 (patch)
tree09b9c1af4b6707f5be7b819578255c4577842e49 /www/zope29
parente89c19ea26650cc45dabfabdfce85f9ad910e957 (diff)
downloadfreebsd-ports-gnome-5a6d17c5cf8ba3f869ed0bdb232f2eb57c582414.tar.gz
freebsd-ports-gnome-5a6d17c5cf8ba3f869ed0bdb232f2eb57c582414.tar.zst
freebsd-ports-gnome-5a6d17c5cf8ba3f869ed0bdb232f2eb57c582414.zip
Add install and deinstall scripts I forgot to commit last time.
Submitted by: HAYASHI Yasushi <yasi@yasi.to>
Diffstat (limited to 'www/zope29')
-rw-r--r--www/zope29/pkg-deinstall15
-rw-r--r--www/zope29/pkg-install34
2 files changed, 49 insertions, 0 deletions
diff --git a/www/zope29/pkg-deinstall b/www/zope29/pkg-deinstall
new file mode 100644
index 000000000000..af2091a5b227
--- /dev/null
+++ b/www/zope29/pkg-deinstall
@@ -0,0 +1,15 @@
+#!/bin/sh
+# $FreeBSD$
+#
+
+if [ "$2" != "POST-DEINSTALL" ]; then
+ exit 0
+fi
+
+USER=www
+
+if pw usershow "${USER}" 2>/dev/null 1>&2; then
+ echo "To delete WWW (Zope or Apache and so on) user permanently, use 'pw userdel ${USER}'"
+fi
+
+exit 0
diff --git a/www/zope29/pkg-install b/www/zope29/pkg-install
new file mode 100644
index 000000000000..cbeae9665004
--- /dev/null
+++ b/www/zope29/pkg-install
@@ -0,0 +1,34 @@
+#!/bin/sh
+# $FreeBSD$
+#
+
+if [ "$2" != "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+USER=www
+GROUP=${USER}
+UID=80
+GID=${UID}
+
+if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
+ if pw groupadd ${GROUP} -g ${GID}; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ exit 1
+ fi
+fi
+
+if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
+ if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+ -s "/sbin/nologin" -d "/nonexistent" \
+ -c "World Wide Web Owner"; \
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+fi
+exit 0